<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for deliveryPathType StructType
 * @subpackage Structs
 */
class DeliveryPathType extends AbstractStructBase
{
    /**
     * The endNode
     * @var string
     */
    public $endNode;
    /**
     * The targetingNode
     * @var string
     */
    public $targetingNode;
    /**
     * The assistantNode
     * @var string
     */
    public $assistantNode;
    /**
     * The reloadingPoint
     * @var string
     */
    public $reloadingPoint;
    /**
     * The postOffice
     * @var string
     */
    public $postOffice;
    /**
     * The deliveryRegion
     * @var string
     */
    public $deliveryRegion;
    /**
     * Constructor method for deliveryPathType
     * @uses DeliveryPathType::setEndNode()
     * @uses DeliveryPathType::setTargetingNode()
     * @uses DeliveryPathType::setAssistantNode()
     * @uses DeliveryPathType::setReloadingPoint()
     * @uses DeliveryPathType::setPostOffice()
     * @uses DeliveryPathType::setDeliveryRegion()
     * @param string $endNode
     * @param string $targetingNode
     * @param string $assistantNode
     * @param string $reloadingPoint
     * @param string $postOffice
     * @param string $deliveryRegion
     */
    public function __construct($endNode = null, $targetingNode = null, $assistantNode = null, $reloadingPoint = null, $postOffice = null, $deliveryRegion = null)
    {
        $this
            ->setEndNode($endNode)
            ->setTargetingNode($targetingNode)
            ->setAssistantNode($assistantNode)
            ->setReloadingPoint($reloadingPoint)
            ->setPostOffice($postOffice)
            ->setDeliveryRegion($deliveryRegion);
    }
    /**
     * Get endNode value
     * @return string|null
     */
    public function getEndNode()
    {
        return $this->endNode;
    }
    /**
     * Set endNode value
     * @param string $endNode
     * @return DeliveryPathType
     */
    public function setEndNode($endNode = null)
    {
        $this->endNode = $endNode;
        return $this;
    }
    /**
     * Get targetingNode value
     * @return string|null
     */
    public function getTargetingNode()
    {
        return $this->targetingNode;
    }
    /**
     * Set targetingNode value
     * @param string $targetingNode
     * @return DeliveryPathType
     */
    public function setTargetingNode($targetingNode = null)
    {
        $this->targetingNode = $targetingNode;
        return $this;
    }
    /**
     * Get assistantNode value
     * @return string|null
     */
    public function getAssistantNode()
    {
        return $this->assistantNode;
    }
    /**
     * Set assistantNode value
     * @param string $assistantNode
     * @return DeliveryPathType
     */
    public function setAssistantNode($assistantNode = null)
    {
        $this->assistantNode = $assistantNode;
        return $this;
    }
    /**
     * Get reloadingPoint value
     * @return string|null
     */
    public function getReloadingPoint()
    {
        return $this->reloadingPoint;
    }
    /**
     * Set reloadingPoint value
     * @param string $reloadingPoint
     * @return DeliveryPathType
     */
    public function setReloadingPoint($reloadingPoint = null)
    {
        $this->reloadingPoint = $reloadingPoint;
        return $this;
    }
    /**
     * Get postOffice value
     * @return string|null
     */
    public function getPostOffice()
    {
        return $this->postOffice;
    }
    /**
     * Set postOffice value
     * @param string $postOffice
     * @return DeliveryPathType
     */
    public function setPostOffice($postOffice = null)
    {
        $this->postOffice = $postOffice;
        return $this;
    }
    /**
     * Get deliveryRegion value
     * @return string|null
     */
    public function getDeliveryRegion()
    {
        return $this->deliveryRegion;
    }
    /**
     * Set deliveryRegion value
     * @param string $deliveryRegion
     * @return DeliveryPathType
     */
    public function setDeliveryRegion($deliveryRegion = null)
    {
        $this->deliveryRegion = $deliveryRegion;
        return $this;
    }
}
